# coding: utf-8
# @Author: wcy

import socket

server = socket.socket(socket.AF_INET, socket.SOCK_STREAM)  # 用于接收连接的socket
server.bind(('192.168.10.10', 5803))  # 绑定服务器的内网ip和开放端口号
server.setsockopt(socket.SOL_SOCKET, socket.SO_REUSEADDR, 1)
server.listen(10)  # 设置最大连接数量

try:
    print("waiting...")
    connect1, (host1, port1) = server.accept()  # 返回一个客户socket对象
    print('["{}":{}] 尝试连接...'.format(host1, port1))  # 输出连接成功的信息

    f = open("gps_record2.txt", "w")

    while True:
        data = connect1.recv(1024).decode('utf-8')
        f.write(data)
        print(data, end="")
except KeyboardInterrupt:
    f.close()
    print("end,保存完毕")
